Package org.apache.commons.math3.ode.nonstiff

# Class EulerIntegrator

java.lang.Object
org.apache.commons.math3.ode.AbstractIntegrator
org.apache.commons.math3.ode.nonstiff.RungeKuttaIntegrator
org.apache.commons.math3.ode.nonstiff.EulerIntegrator

All Implemented Interfaces:
  `FirstOrderIntegrator`, `ODEIntegrator`

public class EulerIntegrator extends RungeKuttaIntegrator
This class implements a simple Euler integrator for Ordinary Differential Equations.

The Euler algorithm is the simplest one that can be used to integrate ordinary differential equations. It is a simple inversion of the forward difference expression : `f'=(f(t+h)-f(t))/h` which leads to `f(t+h)=f(t)+hf'`. The interpolation scheme used for dense output is the linear scheme already used for integration.

This algorithm looks cheap because it needs only one function evaluation per step. However, as it uses linear estimates, it needs very small steps to achieve high accuracy, and small steps lead to numerical errors and instabilities.

This algorithm is almost never used and has been included in this package only as a comparison reference for more useful integrators.

Since:
  1.2
See Also:
  - `MidpointIntegrator`
  - `ClassicalRungeKuttaIntegrator`
  - `GillIntegrator`
  - `ThreeEighthesIntegrator`
  - `LutherIntegrator`

## Field Summary

### Fields inherited from class org.apache.commons.math3.ode.AbstractIntegrator

`isLastStep, resetOccurred, stepHandlers, stepSize, stepStart`

## Constructor Summary

Constructors
Constructor
Description
`EulerIntegrator(double step)`
Simple constructor.

## Method Summary

### Methods inherited from class org.apache.commons.math3.ode.nonstiff.RungeKuttaIntegrator

`integrate, singleStep`

### Methods inherited from class org.apache.commons.math3.ode.AbstractIntegrator

`acceptStep, addEventHandler, addEventHandler, addStepHandler, clearEventHandlers, clearStepHandlers, computeDerivatives, getCounter, getCurrentSignedStepsize, getCurrentStepStart, getEvaluations, getEvaluationsCounter, getEventHandlers, getExpandable, getMaxEvaluations, getName, getStepHandlers, initIntegration, integrate, sanityChecks, setEquations, setMaxEvaluations, setStateInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EulerIntegrator

public EulerIntegrator(double step)
Simple constructor. Build an Euler integrator with the given step.

Parameters:
  `step` - integration step